# file – read file contents

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This lookup returns the contents from a file on the Ansible controller’s file system.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
_terms - / required |  |  | path(s) of files to read

lstrip
boolean

Choices:
- no ←
- yes

whether or not to remove whitespace from the beginning of the looked-up file

rstrip
boolean

Choices:
- no
- yes ←

whether or not to remove whitespace from the ending of the looked-up file

## Notes

Note

- if read in variable context, the file can be interpreted as YAML if the content is valid to the parser.

- this lookup does not understand ‘globing’, use the fileglob lookup instead.

## Examples

    - debug: msg="the value of foo.txt is {{lookup('file', '/etc/foo.txt') }}"

    - name: display multiple file contents
      debug: var=item
      with_file:
        - "/path/to/foo.txt"
        - "bar.txt"  # will be looked in files/ dir relative to play or in role
        - "/path/to/biz.txt"

## Return Values

Common return values are documented here, the following are the fields unique to this lookup:

Key | Returned | Description
--- | --- | ---
_raw - |  | content of file(s)

## Status

- This lookup is not guaranteed to have a backwards compatible interface. [preview]

- This lookup is maintained by the Ansible Community. [community]

### Authors

- Daniel Hokka Zakrisson <daniel@hozac.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.